zenilib: zenilib/jni/external/glew/auto/src/glxew_head.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
glxew_head.h File Reference
`#include <X11/Xlib.h>`
`#include <X11/Xutil.h>`
`#include <X11/Xmd.h>`
`#include <GL/glew.h>`

Go to the source code of this file.

## Macros

#define | __GLX_glx_h__
#define | __glx_h__
#define | __GLXEW_H__
#define | __glxext_h_
#define | GLX_ACCUM_ALPHA_SIZE 17
#define | GLX_ACCUM_BLUE_SIZE 16
#define | GLX_ACCUM_GREEN_SIZE 15
#define | GLX_ACCUM_RED_SIZE 14
#define | GLX_ALPHA_SIZE 11
#define | GLX_AUX_BUFFERS 7
#define | GLX_BAD_ATTRIBUTE 2
#define | GLX_BAD_CONTEXT 5
#define | GLX_BAD_ENUM 7
#define | GLX_BAD_SCREEN 1
#define | GLX_BAD_VALUE 6
#define | GLX_BAD_VISUAL 4
#define | GLX_BLUE_SIZE 10
#define | GLX_BUFFER_SIZE 2
#define | GLX_DEPTH_SIZE 12
#define | GLX_DOUBLEBUFFER 5
#define | GLX_EXTENSIONS 0x3
#define | GLX_GREEN_SIZE 9
#define | GLX_H
#define | GLX_LEVEL 3
#define | GLX_NO_EXTENSION 3
#define | GLX_RED_SIZE 8
#define | GLX_RGBA 4
#define | GLX_STENCIL_SIZE 13
#define | GLX_STEREO 6
#define | GLX_USE_GL 1
#define | GLX_VENDOR 0x1
#define | GLX_VERSION 0x2
#define | GLX_VERSION_1_0 1
#define | GLX_VERSION_1_1
#define | GLXEW_VERSION_1_0 GLXEW_GET_VAR(__GLXEW_VERSION_1_0)
#define | GLXEW_VERSION_1_1 GLXEW_GET_VAR(__GLXEW_VERSION_1_1)

## Typedefs

typedef struct __GLXcontextRec * | GLXContext
typedef XID | GLXDrawable
typedef XID | GLXPixmap
typedef unsigned int | GLXVideoDeviceNV

## Functions

XVisualInfo * | glXChooseVisual (Display *dpy, int screen, int *attribList)
void | glXCopyContext (Display *dpy, GLXContext src, GLXContext dst, GLulong mask)
GLXContext | glXCreateContext (Display *dpy, XVisualInfo *vis, GLXContext shareList, Bool direct)
GLXPixmap | glXCreateGLXPixmap (Display *dpy, XVisualInfo *vis, Pixmap pixmap)
void | glXDestroyContext (Display *dpy, GLXContext ctx)
void | glXDestroyGLXPixmap (Display *dpy, GLXPixmap pix)
const char * | glXGetClientString (Display *dpy, int name)
int | glXGetConfig (Display *dpy, XVisualInfo *vis, int attrib, int *value)
GLXContext | glXGetCurrentContext (void)
GLXDrawable | glXGetCurrentDrawable (void)
Bool | glXIsDirect (Display *dpy, GLXContext ctx)
Bool | glXMakeCurrent (Display *dpy, GLXDrawable drawable, GLXContext ctx)
Bool | glXQueryExtension (Display *dpy, int *errorBase, int *eventBase)
const char * | glXQueryExtensionsString (Display *dpy, int screen)
const char * | glXQueryServerString (Display *dpy, int screen, int name)
Bool | glXQueryVersion (Display *dpy, int *major, int *minor)
void | glXSwapBuffers (Display *dpy, GLXDrawable drawable)
void | glXUseXFont (Font font, int first, int count, int listBase)
void | glXWaitGL (void)
void | glXWaitX (void)

## Macro Definition Documentation

#define __GLX_glx_h__

Definition at line 16 of file glxew_head.h.

#define __glx_h__

Definition at line 17 of file glxew_head.h.

#define __GLXEW_H__

Definition at line 3 of file glxew_head.h.

#define __glxext_h_

Definition at line 13 of file glxew_head.h.

#define GLX_ACCUM_ALPHA_SIZE 17

Definition at line 49 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_ACCUM_BLUE_SIZE 16

Definition at line 48 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_ACCUM_GREEN_SIZE 15

Definition at line 47 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_ACCUM_RED_SIZE 14

Definition at line 46 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_ALPHA_SIZE 11

Definition at line 43 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_AUX_BUFFERS 7

Definition at line 39 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_BAD_ATTRIBUTE 2

Definition at line 51 of file glxew_head.h.

#define GLX_BAD_CONTEXT 5

Definition at line 54 of file glxew_head.h.

#define GLX_BAD_ENUM 7

Definition at line 56 of file glxew_head.h.

#define GLX_BAD_SCREEN 1

Definition at line 50 of file glxew_head.h.

#define GLX_BAD_VALUE 6

Definition at line 55 of file glxew_head.h.

#define GLX_BAD_VISUAL 4

Definition at line 53 of file glxew_head.h.

#define GLX_BLUE_SIZE 10

Definition at line 42 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_BUFFER_SIZE 2

Definition at line 34 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_DEPTH_SIZE 12

Definition at line 44 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_DOUBLEBUFFER 5

Definition at line 37 of file glxew_head.h.

Referenced by CreateContext(), glewCreateContext(), and VisualInfo().

#define GLX_EXTENSIONS 0x3

Definition at line 97 of file glxew_head.h.

Referenced by glxewContextInit(), and glxewGetExtension().

#define GLX_GREEN_SIZE 9

Definition at line 41 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_H

Definition at line 15 of file glxew_head.h.

#define GLX_LEVEL 3

Definition at line 35 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_NO_EXTENSION 3

Definition at line 52 of file glxew_head.h.

#define GLX_RED_SIZE 8

Definition at line 40 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_RGBA 4

Definition at line 36 of file glxew_head.h.

Referenced by CreateContext(), and glewCreateContext().

#define GLX_STENCIL_SIZE 13

Definition at line 45 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_STEREO 6

Definition at line 38 of file glxew_head.h.

Referenced by VisualInfo().

#define GLX_USE_GL 1

Definition at line 33 of file glxew_head.h.

#define GLX_VENDOR 0x1

Definition at line 95 of file glxew_head.h.

#define GLX_VERSION 0x2

Definition at line 96 of file glxew_head.h.

#define GLX_VERSION_1_0 1

Definition at line 31 of file glxew_head.h.

#define GLX_VERSION_1_1

Definition at line 93 of file glxew_head.h.

#define GLXEW_VERSION_1_0 GLXEW_GET_VAR(__GLXEW_VERSION_1_0)

Definition at line 86 of file glxew_head.h.

Referenced by glxewContextInit().

#define GLXEW_VERSION_1_1 GLXEW_GET_VAR(__GLXEW_VERSION_1_1)

Definition at line 103 of file glxew_head.h.

Referenced by glxewContextInit().

## Typedef Documentation

typedef struct __GLXcontextRec* GLXContext

Definition at line 63 of file glxew_head.h.

typedef XID GLXDrawable

Definition at line 58 of file glxew_head.h.

typedef XID GLXPixmap

Definition at line 59 of file glxew_head.h.

typedef unsigned int GLXVideoDeviceNV

Definition at line 66 of file glxew_head.h.

## Function Documentation

XVisualInfo* glXChooseVisual | ( | Display * | dpy,
|  | int | screen,
|  | int * | attribList
| ) |  |

void glXCopyContext | ( | Display * | dpy,
|  | GLXContext | src,
|  | GLXContext | dst,
|  | GLulong | mask
| ) |  |

GLXContext glXCreateContext | ( | Display * | dpy,
|  | XVisualInfo * | vis,
|  | GLXContext | shareList,
|  | Bool | direct
| ) |  |

GLXPixmap glXCreateGLXPixmap | ( | Display * | dpy,
|  | XVisualInfo * | vis,
|  | Pixmap | pixmap
| ) |  |

void glXDestroyContext | ( | Display * | dpy,
|  | GLXContext | ctx
| ) |  |

void glXDestroyGLXPixmap | ( | Display * | dpy,
|  | GLXPixmap | pix
| ) |  |

const char* glXGetClientString | ( | Display * | dpy,
|  | int | name
| ) |  |

int glXGetConfig | ( | Display * | dpy,
|  | XVisualInfo * | vis,
|  | int | attrib,
|  | int * | value
| ) |  |

GLXContext glXGetCurrentContext | ( | void |  | ) |

GLXDrawable glXGetCurrentDrawable | ( | void |  | ) |

Bool glXIsDirect | ( | Display * | dpy,
|  | GLXContext | ctx
| ) |  |

Bool glXMakeCurrent | ( | Display * | dpy,
|  | GLXDrawable | drawable,
|  | GLXContext | ctx
| ) |  |

Bool glXQueryExtension | ( | Display * | dpy,
|  | int * | errorBase,
|  | int * | eventBase
| ) |  |

const char* glXQueryExtensionsString | ( | Display * | dpy,
|  | int | screen
| ) |  |

const char* glXQueryServerString | ( | Display * | dpy,
|  | int | screen,
|  | int | name
| ) |  |

Bool glXQueryVersion | ( | Display * | dpy,
|  | int * | major,
|  | int * | minor
| ) |  |

void glXSwapBuffers | ( | Display * | dpy,
|  | GLXDrawable | drawable
| ) |  |

void glXUseXFont | ( | Font | font,
|  | int | first,
|  | int | count,
|  | int | listBase
| ) |  |

void glXWaitGL | ( | void |  | ) |

void glXWaitX | ( | void |  | ) |